Start a new topic

XCode error "dyld: Library not loaded"

XCode error "dyld: Library not loaded"


Hi there,

I'm getting this error when I launch an XCode project:

dyld: Library not loaded: @rpath/libswiftAVFoundation.dylib

  Referenced from: /private/var/mobile/Containers/Bundle/Application/378AFFE1-40CF-4949-B02C-5C0E9C11DE98/unityexample.app/Frameworks/WikitudeNativeSDK.framework/WikitudeNativeSDK

  Reason: image not found

(lldb) 

 

I noticed that there's other posts with the same question but no answer. I also added the library to the Embedded Binaries but it still crashes.

Does anybody know how to fix this? I'm using the latest XCode and latesd iOS versions.

 

Thanks

 

 

Hi Robin,
Can you explain your project setup in more detail. Are you trying to build an application or another framework which includes the Wiktidue SDK. Is it written in ObjC or Swift? Which version of the Wikitude SDK are you using?

Can you maybe create a project which demonstrates the problem and send it to us?

Best regards

Andreas

ok I found the issue. Somehow my provisioning profiles were not downloaded from my enterprise account in XCode and that was crashing the app at launch.

Hi Robin,
THX for sharing you results. Maybe it helps someone else as well.

Have fun using the Wikitude SDK and don't hesitate to post new questions.

Best regards

Andreas

Hi all,

Just ran into this as well. I followed the instructions in a separate thread "app crash after import framework". I pulled in the latest native SDK, but somehow the "embedded binaries contain swift code" got set back to No. Changing this to Yes fixed my problem. 

Cheers

Hi Sal,
Thx for your reply and solution!

Best regards

Andreas
Login or Signup to post a comment